% ControlCenter

% Causal polytree skeleton
PolytreeSkeleton = [ ...
     0     0     0     0     0     0     0     0     0     0     0     0     1     0     0     1     0     0     0     0;...
     0     0     0     0     0     0     0     1     0     0     0     0     0     0     0     0     0     0     1     0;...
     0     0     0     0     0     0     0     0     0     0     0     1     0     0     0     0     0     0     0     0;...
     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     1     0     0     0;...
     0     0     0     0     0     1     0     0     0     0     0     0     0     0     0     0     0     0     0     0;...
     0     0     0     0     1     0     0     0     0     0     0     0     1     0     0     0     0     0     0     0;...
     0     0     0     0     0     0     0     0     0     0     0     1     0     0     0     0     0     0     0     1;...
     0     1     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0;...
     0     0     0     0     0     0     0     0     0     0     0     0     1     0     0     0     0     0     0     1;...
     0     0     0     0     0     0     0     0     0     0     0     1     0     0     0     0     0     1     0     0;...
     0     0     0     0     0     0     0     0     0     0     0     0     1     0     1     0     0     0     0     0;...
     0     0     1     0     0     0     1     0     0     1     0     0     0     0     0     0     0     0     1     0;...
     1     0     0     0     0     1     0     0     1     0     1     0     0     0     0     0     0     0     0     0;...
     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     1     0     0;...
     0     0     0     0     0     0     0     0     0     0     1     0     0     0     0     0     0     0     0     0;...
     1     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0;...
     0     0     0     1     0     0     0     0     0     0     0     0     0     0     0     0     0     0     0     1;...
     0     0     0     0     0     0     0     0     0     1     0     0     0     1     0     0     0     0     0     0;...
     0     1     0     0     0     0     0     0     0     0     0     1     0     0     0     0     0     0     0     0;...
     0     0     0     0     0     0     1     0     1     0     0     0     0     0     0     0     1     0     0     0 ];
 
% Conditional independent tests, assuming a random binary table.
CIMatrix = rand( size( PolytreeSkeleton,1 ) ) > 0.5;
 
% Return the Causal Polytree, CPMatrix, and the number of conditional independent test, CINumber; 
[ CRMatrix, CINumber ] = Pearl_PolytreeRecover( CIMatrix,PolytreeSkeleton )
h = view( biograph( CRMatrix ))
