function Label = IsLeaf( Graph,Node )
% Graph can be directed or undirected, or mixture.
% If Node in Graph is a leaf, return Label = 1;otherwise, Label = 0;

% there is only one node in graph, it's a leaf.
if isequal( size( Graph ), ones(1,2))==1
    Label = 1;
    return
end

%A<-B--- or A->B---, then A is a leaf.
if sum( Graph( :,Node )) + sum( Graph( Node,: )) == 1 
    Label = 1;
    return
end

% undirected arc, leaf Node have an undirected arc to an inner node
if sum( Graph( :,Node )) == 1 && sum( Graph( Node,: )) == 1 && find( Graph( :,Node ) == 1 ) == find( Graph( Node,: ) == 1 )
    Label = 1;
    return
end

% not leaf in other situation
Label = 0;

end